Loading...
Searching...
No Matches
juce::dsp::ProcessorState Struct Reference

## Detailed Description

This is a handy base class for the state of a processor (such as parameter values) which is typically shared among several processors.

This is useful for multi-mono filters which share the same state among several mono processors.

The documentation for this struct was generated from the following file:

- juce_dsp/processors/juce_ProcessContext.h

Inheritance diagram for juce::dsp::ProcessorState:

## Public Types

using | Ptr = ReferenceCountedObjectPtr<ProcessorState>
| The ProcessorState structure is ref-counted, so this is a handy type that can be used as a pointer to one.

## Additional Inherited Members

Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Member Typedef Documentation

## Ptr

using juce::dsp::ProcessorState::Ptr = ReferenceCountedObjectPtr<ProcessorState>

The ProcessorState structure is ref-counted, so this is a handy type that can be used as a pointer to one.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited